import { Homepage } from "@/components/pages/Homepage/Homepage";
import { TCountry } from "@/types/types";

export default async function Home({ searchParams }: { searchParams: Promise<{ country?: string }> }) {
    //С 15 версии некста квери параметры стали промисами, так что их нужно await-тить
    const { country } = await searchParams;
    // Почему то api стран перестало возвращать страны со всеми данными так что тут беру только нужные поля
    const res = await fetch("https://restcountries.com/v3.1/all?fields=name,cca2,borders,flags");

    const countriesList = await res.json();

    const selectedCountry = country ? countriesList.find((c: TCountry) => c.cca2 === country) : null;

    const borderedCountries =
        selectedCountry?.borders?.map((code: string) => countriesList.find((c: TCountry) => c.cca2 === code)) ?? [];

    return (
        <Homepage
            countriesList={countriesList}
            selectedCountry={selectedCountry}
            borderedCountries={borderedCountries}
        />
    );
}
