"use client";

import { useRouter, useSearchParams } from "next/navigation";
import { CountryInfo } from "@/components/ui/CountryInfo/CountryInfo";
import { CountryList } from "@/components/ui/CountryList/CountryList";
import type { TCountry } from "@/types/types";
import styles from "./Homepage.module.css";

type Props = {
    countriesList: TCountry[];
    selectedCountry: TCountry | null;
    borderedCountries: TCountry[];
};

export const Homepage = ({ countriesList, selectedCountry, borderedCountries }: Props) => {
    const router = useRouter();
    const searchParams = useSearchParams();

    const handleChooseCountry = (cca2: string) => {
        // Тут создается объект квери параметров
        const params = new URLSearchParams(searchParams.toString());
        // Тут в этот объект устанавливаем country. В итоге получится  country=cca2
        params.set("country", cca2);
        router.push("?" + params.toString());
    };

    return (
        <div className={styles.homeWrapper}>
            <CountryList countryList={countriesList} onChange={handleChooseCountry} />
            <CountryInfo country={selectedCountry} borders={borderedCountries} />
        </div>
    );
};
