import { TCountry } from "@/types/types";
import styles from "./CountryList.module.css";

type Props = {
    countryList: TCountry[];
    onChange: (cca2: string) => void;
};

export const CountryList = ({ countryList, onChange }: Props) => {
    return (
        <div className={styles.countryList}>
            <ul className={styles.countryUl}>
                {countryList.map((country, index) => (
                    <li key={index} onClick={() => onChange(country.cca2)}>
                        {country.name.common}
                    </li>
                ))}
            </ul>
        </div>
    );
};
